# justified [![NPM version](https://badge.fury.io/js/justified.svg)](http://badge.fury.io/js/justified)  [![Build Status](https://travis-ci.org/jonschlinkert/justified.svg)](https://travis-ci.org/jonschlinkert/justified) 

> Wrap words to a specified length and justified the text.

## Install with [npm](npmjs.org)

```bash
npm i justified --save
```

## Usage

```js
var justify = require('justify');

justify('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.');
```

Results in:

```
  Lorem   ipsum dolor sit amet, consectetur
  adipiscing   elit, sed do eiusmod  tempor
  incididunt   ut labore  et dolore   magna
  aliqua.    Ut enim ad minim  veniam, quis
  nostrud    exercitation ullamco   laboris
  nisi  ut aliquip ex ea commodo consequat.
  Duis   aute irure  dolor in reprehenderit
  in  voluptate velit esse cillum dolore eu
  fugiat   nulla pariatur.   Excepteur sint
  occaecat  cupidatat non proident, sunt in
  culpa  qui officia   deserunt mollit anim
  id est laborum.
```

## Options
See [word-wrap] for all available options.

## Related
* [word-wrap](https://github.com/jonschlinkert/word-wrap): Wrap words to a specified length.
* [right-align](https://github.com/jonschlinkert/right-align): Right-align the text in a string.
* [center-align](https://github.com/jonschlinkert/center-align): Center-align the text in a string.
* [align-text](https://github.com/jonschlinkert/align-text): Align the text in a string.
* [repeat-string](https://github.com/jonschlinkert/repeat-string): Repeat the given string n times. Fastest implementation for repeating a string.
* [pad-left](https://github.com/jonschlinkert/pad-left): Left pad a string with zeros or a specified string. Fastest implementation.
* [pad-right](https://github.com/jonschlinkert/pad-right): Right pad a string with zeros or a specified string. Fastest implementation.

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/justified/issues)

## Running tests
Install dev dependencies.

```bash
npm i -d && npm test
```

## Author

**Jon Schlinkert**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2015 Jon Schlinkert  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on March 13, 2015._

[word-wrap]: https://github.com/jonschlinkert/word-wrap